#############################################################
# vt102.IN - Map-Tabelle fuer 7-Bit-Terminal (Version 2)
#
# Benutzte Zeichensaetze:
# 0: USASCII
# 1: Graphic
# 2: German
# 3: French
#
# Autor: Frank Meyer
#############################################################

#############################################################
# Benutzte Zeichensaetze:
#############################################################

0   \E(B	    # USASCII
1   \E(0	    # Graphic
2   \E(K	    # German
3   \E(R	    # French

END

#############################################################
# Map-Tabelle fuer Ausgabe:
#############################################################

LO_RIGHT_CORNER		1   6A		# untere rechte Ecke
UP_RIGHT_CORNER		1   6B		# obere rechte Ecke
UP_LEFT_CORNER		1   6C		# obere linke Ecke
LO_LEFT_CORNER		1   6D		# untere linke Ecke
CROSS_LINES		1   6E		# Kreuz
HOR_BAR			1   71		# horizontaler Strich
LEFT_T			1   74		# linkes T
RIGHT_T			1   75		# rechtes T
BOTTOM_T		1   76		# unteres T
TOP_T			1   77		# oberes T
VERT_BAR		1   78		# senkrechter Strich

SECTION_SIGN		2   40		# Paragraph
UP_A_UMLAUT		2   5B		# AE
UP_O_UMLAUT		2   5C		# OE
UP_U_UMLAUT		2   5D		# UE
SHARP_S			2   7E		# sz
LO_A_UMLAUT		2   7B		# ae
LO_O_UMLAUT		2   7C		# oe
LO_U_UMLAUT		2   7D		# ue

LO_A_GRAVE_ACCENT	3   40		# a`
LO_A_CIRCUMFLEX		3   5B		# a^
LO_C_CEDILLA		3   5C		# cd
LO_E_GRAVE_ACCENT	3   7D		# e`
LO_E_ACUTE_ACCENT	3   7B		# e'
LO_E_CIRCUMFLEX		3   5d		# e^
LO_E_UMLAUT		3   23		# e"
LO_I_CIRCUMFLEX		3   5E		# i^
LO_O_CIRCUMFLEX		3   60		# o^
LO_U_CIRCUMFLEX		3   7e		# u^

KEYBOARD

#############################################################
# Tastatur-Tabelle:
#############################################################

# Akzente allein:

APOSTROPHE		''
GRAVE_ACCENT		``
CIRCUMFLEX		^^

# USASCII Klammern:

OP_BRACKET		'[
BACKSLASH		'\\
CL_BRACKET		']
OP_BRACE		'{
V_LINE			'|
CL_BRACE		'}
TILDE			'~

# Franzoesische Akzentbuchstaben:

LO_A_ACUTE_ACCENT	^a
LO_E_CIRCUMFLEX		^e
LO_I_CIRCUMFLEX		^i
LO_O_CIRCUMFLEX		^o
LO_U_CIRCUMFLEX		^u

LO_A_ACUTE_ACCENT	'a
LO_E_ACUTE_ACCENT	'e
LO_I_ACUTE_ACCENT	'i
LO_O_ACUTE_ACCENT	'o
LO_U_ACUTE_ACCENT	'u

LO_A_GRAVE_ACCENT	`a
LO_E_GRAVE_ACCENT	`e
LO_I_GRAVE_ACCENT	`i
LO_O_GRAVE_ACCENT	`o
LO_U_GRAVE_ACCENT	`u

UP_C_CEDILLA		'C
LO_C_CEDILLA		'c

# Deutsche Sonderzeichen 7-BIT-ASCII -> ISO8859:

SECTION_SIGN		@
UP_A_UMLAUT		[
UP_O_UMLAUT		\\
UP_U_UMLAUT		]
LO_A_UMLAUT		{
LO_O_UMLAUT		|
LO_U_UMLAUT		}
SHARP_S			~

# Funktionstasten:

KEY_DOWN		\E[B
KEY_UP			\E[A
KEY_LEFT		\E[D
KEY_RIGHT		\E[C
KEY_SDOWN		\E[U
KEY_SUP			\E[V
KEY_HOME		\E[H
KEY_SHOME		\E[X
KEY_IL			\E[L
KEY_DC			\E[3~
KEY_IC			\E[2~
KEY_CLEAR		\E[K
KEY_SCLEAR		\E[J
KEY_NPAGE		\E[6~
KEY_PPAGE		\E[5~
KEY_BTAB		\E[Z
KEY_FIND		\E[1~
KEY_SELECT		\E[4~
KEY_PAD_0		\EOp
KEY_PAD_1		\EOq
KEY_PAD_2		\EOr
KEY_PAD_3		\EOs
KEY_PAD_4		\EOt
KEY_PAD_5		\EOu
KEY_PAD_6		\EOv
KEY_PAD_7		\EOw
KEY_PAD_8		\EOx
KEY_PAD_9		\EOy
KEY_PAD_MINUS		\EOm
KEY_PAD_COMMA		\EOl
KEY_PAD_PERIOD		\EOn
KEY_PAD_ENTER		\EOM
KEY_PAD_PF1		\EOP
KEY_PAD_PF2		\EOQ
KEY_PAD_PF3		\EOR
KEY_PAD_PF4		\EOS

KEY_F6			\E[17~
KEY_F7			\E[18~
KEY_F8			\E[19~
KEY_F9			\E[20~
KEY_F10			\E[21~
KEY_F11			\E[23~
KEY_F12			\E[24~
KEY_F13			\E[25~
KEY_F14			\E[26~
KEY_F15			\E[28~
KEY_F16			\E[29~
KEY_F17			\E[31~
KEY_F18			\E[32~
KEY_F19			\E[33~
KEY_F20			\E[34~

# Die Shift-Funktionstasten sind frei definiert vom Benutzer:

KEY_SF6			\E1
KEY_SF7			\E2
KEY_SF8			\E3
KEY_SF9			\E4
KEY_SF10		\E5
KEY_SF11		\E6
KEY_SF12		\E7
KEY_SF13		\E8
KEY_SF14		\E9
KEY_SF15		\Ea
KEY_SF16		\Eb
KEY_SF17		\Ec
KEY_SF18		\Ed
KEY_SF19		\Ee
KEY_SF20		\Ef

#############################################################
# Ende vt102.IN
#############################################################
